Bug 106053 - Update port: net/sixxs-aiccu Fix tun driver to work on FreeBSD 5/6/7
Summary: Update port: net/sixxs-aiccu Fix tun driver to work on FreeBSD 5/6/7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-30 10:30 UTC by Loren M. Lang
Modified: 2006-12-30 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (6.52 KB, patch)
2006-11-30 10:30 UTC, Loren M. Lang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loren M. Lang 2006-11-30 10:30:12 UTC
The FreeBSD port of sixxs-aiccu has a bug that prevents AYIYA tunnels from working on anything newer than FreeBSD 4.x.  Also, the port is old in general, nearly two years behind what sixxs is offering.  This updates it to the latest version and fixes the bug in the tun driver.  Also, since this port appears unmaintained due to these bugs, I am willing to take over maintainership if the original maintainer has no interest in continuing.

Fix: Patch attached with submission follows:
How-To-Repeat: Attempt to use an AYIYA tunnel from Sixxs on FreeBSD 5/6/7.  Pinging an IPv6 address using the ping6 utility will return the error: Address family not supported by protocol family.
Comment 1 Edwin Groothuis freebsd_committer 2006-11-30 10:30:38 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Gabor Kovesdan freebsd_committer 2006-12-18 19:17:44 UTC
State Changed
From-To: feedback->open

Maintainer timeout.
Comment 3 Emanuel Haupt freebsd_committer 2006-12-25 17:20:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 4 Emanuel Haupt freebsd_committer 2006-12-26 09:41:10 UTC
State Changed
From-To: open->feedback

I don't get any updates from 'sixxs' with the new version. Does it work for you?
Comment 5 Emanuel Haupt freebsd_committer 2006-12-30 18:03:50 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 dfilter service freebsd_committer 2006-12-30 20:00:52 UTC
ehaupt      2006-12-30 20:00:45 UTC

  FreeBSD ports repository

  Modified files:
    net/sixxs-aiccu      Makefile distinfo pkg-plist 
    net/sixxs-aiccu/files patch-unix-console::Makefile 
  Added files:
    net/sixxs-aiccu/files patch-common_tun.c sixxs-aiccu.in 
  Removed files:
    net/sixxs-aiccu/files sixxs-aiccu.sh 
  Log:
  Update to 20060725
  
  PR:             106053
  Submitted by:   Loren M. Lang <lorenl@north-winds.org>
  Approved by:    maintainer timeout (30 days)
  
  Revision  Changes    Path
  1.2       +16 -17    ports/net/sixxs-aiccu/Makefile
  1.3       +3 -3      ports/net/sixxs-aiccu/distinfo
  1.1       +21 -0     ports/net/sixxs-aiccu/files/patch-common_tun.c (new)
  1.3       +24 -21    ports/net/sixxs-aiccu/files/patch-unix-console::Makefile
  1.1       +30 -0     ports/net/sixxs-aiccu/files/sixxs-aiccu.in (new)
  1.4       +0 -30     ports/net/sixxs-aiccu/files/sixxs-aiccu.sh (dead)
  1.2       +2 -3      ports/net/sixxs-aiccu/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Emanuel Haupt freebsd_committer 2006-12-30 20:01:18 UTC
State Changed
From-To: open->closed

Committed, thanks!